Bugsnag
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Bugsnag action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Bugsnag notification",
"type": "BUGSNAG",
"trigger_time": "ON_EVERY_EXECUTION",
"version": "$BUDDY_RUN_ID",
"release_stage": "$BUDDY_RUN_BRANCH",
"token": "$apiKey",
"revision": "$BUDDY_RUN_COMMIT",
"variables": [
{
"key": "apiKey",
"value": "secure!rjMzYPhyffqEI8nmd4JPLuv51uhqpzJ4ykx+ilKrTgh9t4+/tGAPhF05EvhpdMj2",
"encrypted": true
}
],
"builder_name": "$BUDDY_INVOKER_NAME",
"auto_assign_release": true
}'STATUS200 OK